<?cs # vim: set syntax=html :?>
<?cs include: "mapper_config.cs" ?>

<?cs with: source = Channel.Source ?>
   <tr class="selected" id="SrcPollTimeRow">
      <td class="left_column">
         Use translator
      </td>
      <td class="inner_left" colspan="3">
         <script type="text/javascript">
           $(function(){
              $('.cls_from_http_mapper').toggle(<?cs if:source.UseMapper ?>true<?cs else ?>false<?cs /if ?>);
           })
           function onHttpTranslatorClick(el){
              $('.cls_from_http_mapper').toggle(el.value == 'mapper');
           } 
         </script>

         <table class="inner">
            <tr>
               <td class="inner_left">
                  <?cs if:Channel.ReadOnlyMode ?>
                  <?cs if:source.UseMapper ?>Yes<?cs else ?>No<?cs /if ?>
                  <?cs else ?>
                  <nobr>
                    <input type="radio" name="SrcFromHttpType" value="mapper" onclick="javascript:onHttpTranslatorClick(this);"
                       <?cs if:source.UseMapper ?>checked="checked"<?cs /if ?> /> Translator<br />
                    <input type="radio" name="SrcFromHttpType" value="legacy" onclick="javascript:onHttpTranslatorClick(this);"
                       <?cs if:!source.UseMapper ?>checked="checked"<?cs /if ?> /> Legacy
                  </nobr>
                  <?cs /if ?>
               </td>
               <td class="inner_right">
                  <?cs if:Source.Error.FromHttpType ?>
                     <div class="configuration_error">
                     <ul class="configuration"><?cs var:Source.Error.FromHttpType ?></ul>
                     </div>
                  <?cs /if ?>
               </td>
            </tr>
         </table>
      </td>
   </tr>

   <tr class="selected cls_from_http_mapper">
      <td class="left_column first_row">URL path</td>
      <td class="inner_left first_row" colspan="3">
         <table class="inner">
            <tr>
               <td class="inner_left">
                  <?cs if:Channel.ReadOnlyMode ?>
                    /<?cs var:html_escape(source.MapperUrlPath) ?>
                  <?cs else ?>
                    <nobr>
                    /<input type="text" class="configuration" name="SrcMapperUrlPath"
                           value="<?cs var:source.MapperUrlPath ?>" />
                    </nobr>
                  <?cs /if ?>
               </td>
               <td class="inner_right">
                  <?cs if:Source.Error.MapperUrlPath ?>
                     <div class="configuration_error">
                     <ul class="configuration"><?cs var:Source.Error.MapperUrlPath ?></ul>
                     </div>
                  <?cs /if ?>
               </td>
            </tr>
         </table>
      </td>
   </tr>   

   <?cs call:renderMapperForm(source, !Channel.IsNew, 'Src', 'Source', source.Type, 'cls_from_http_mapper', 0) ?>
   </tr>
<?cs /with ?>
